Loading...
Searching...
No Matches
Public API functions

Public interfaces available to users of `libvpb`. More...

Collaboration diagram for Public API functions:

## Topics

| Queue size
| Port initialisation

## Files

file | tonegen.h
| Voicetronix programmable tone generator API.
file | vpbapi.h
| Voicetronix voice processing board public API.
file | vt_deprecated.h
| Deprecated symbol handling.

## Macros

#define | VPB_OK 0
#define | VPB_NO_EVENTS -1
#define | VPB_TIME_OUT -2
#define | VPB_MAX_STR 256

## Typedefs

typedef int | VPBPortHandle
| Symbolic type for a handle to an open port on some card.

## Enumerations

enum | VPB_MODEL { VPB_V4PCI = 2 , VPB_V4LOG = 3 , VPB_PRI = 6 , VPB_OPCI = 7 , VPB_OSW = 8 , VPB_MODEL_UNKNOWN = -1 }
| VPB card model types. More...
enum | VPB_PORT { VPB_PORT_UNKNOWN = 0 , VPB_FXO = 1 , VPB_FXS = 2 }
| Analogue port types. More...

## Variables

const VPBPortHandle | VPB_PORTHANDLE_NULL = -1

## Detailed Description

Public interfaces available to users of `libvpb`.

## Enumeration Type Documentation

## VPB_MODEL

enum VPB_MODEL

VPB card model types.

Enumerator
VPB_V4PCI | V4PCI 4 port PCI CT card.
VPB_V4LOG | V4LOG 4 port PCI logging card.
VPB_PRI | Sangoma PRI card.
VPB_OPCI | OpenPCI card.
VPB_OSW | OpenSwitch card using vtcore driver.
VPB_MODEL_UNKNOWN | Placeholder for when card type is not yet known.

## VPB_PORT

enum VPB_PORT

Analogue port types.

Enumerator
VPB_PORT_UNKNOWN | Placeholder for an unknown port type.
VPB_FXO | Trunk port.
VPB_FXS | Station port.